import static org.junit.Assert.*;
import nz.ac.waikato.modeljunit.GreedyTester;
import nz.ac.waikato.modeljunit.Tester;
import nz.ac.waikato.modeljunit.VerboseListener;
import nz.ac.waikato.modeljunit.coverage.CoverageMetric;
import nz.ac.waikato.modeljunit.coverage.TransitionCoverage;

import org.junit.Test;


public class MagazzinoTest {

	@Test
	public void test() {
		Tester tester = new GreedyTester(new Magazzino());
		tester.buildGraph();
		CoverageMetric trCoverage = new TransitionCoverage();
		tester.addCoverageMetric(trCoverage);
		tester.addListener(new VerboseListener());
		tester.generate(50);
		tester.getModel().printMessage(trCoverage.getName() + " was "+ trCoverage.toString());
	}
}
